{
    attributes = (
        {
            columnName = "CAN_ID"; 
            externalType = NUMBER; 
            name = canId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "DANA_HT_SAISIE"; 
            externalType = NUMBER; 
            name = danaHtSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "DANA_ID"; 
            externalType = NUMBER; 
            name = danaID; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "DANA_MONTANT_BUDGETAIRE"; 
            externalType = NUMBER; 
            name = danaMontantBudgetaire; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "DANA_TTC_SAISIE"; 
            externalType = NUMBER; 
            name = danaTtcSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "DANA_TVA_SAISIE"; 
            externalType = NUMBER; 
            name = danaTvaSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "DEP_ID"; 
            externalType = NUMBER; 
            name = depId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (canId, danaID, depId, exeOrdre); 
    className = "org.cocktail.kaki.server.metier.EODepenseCtrlAnalytique"; 
    classProperties = (
        codeAnalytique, 
        danaHtSaisie, 
        danaMontantBudgetaire, 
        danaTtcSaisie, 
        danaTvaSaisie, 
        depense, 
        exercice
    ); 
    externalName = "JEFY_DEPENSE.DEPENSE_CTRL_ANALYTIQUE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            codeAnalytique, 
            danaHtSaisie, 
            danaMontantBudgetaire, 
            danaTtcSaisie, 
            danaTvaSaisie, 
            depense, 
            exercice
        ); 
        "_javaClientClassName" = "org.cocktail.kaki.client.metier.EODepenseCtrlAnalytique"; 
    }; 
    name = DepenseCtrlAnalytique; 
    primaryKeyAttributes = (danaID); 
    relationships = (
        {
            destination = CodeAnalytique; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = canId; sourceAttribute = canId; }); 
            name = codeAnalytique; 
        }, 
        {
            destination = DepenseBudget; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = depId; sourceAttribute = depId; }); 
            name = depense; 
        }, 
        {
            destination = Exercice; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }
    ); 
}
